<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KuryeCagirFaceResponse StructType
 * @subpackage Structs
 */
class KuryeCagirFaceResponse extends AbstractStructBase
{
    /**
     * The KuryeCagirFaceResult
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $KuryeCagirFaceResult;
    /**
     * The pError
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pError;
    /**
     * The pSonuc
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $pSonuc;
    /**
     * Constructor method for KuryeCagirFaceResponse
     * @uses KuryeCagirFaceResponse::setKuryeCagirFaceResult()
     * @uses KuryeCagirFaceResponse::setPError()
     * @uses KuryeCagirFaceResponse::setPSonuc()
     * @param int $kuryeCagirFaceResult
     * @param string $pError
     * @param string $pSonuc
     */
    public function __construct($kuryeCagirFaceResult = null, $pError = null, $pSonuc = null)
    {
        $this
            ->setKuryeCagirFaceResult($kuryeCagirFaceResult)
            ->setPError($pError)
            ->setPSonuc($pSonuc);
    }
    /**
     * Get KuryeCagirFaceResult value
     * @return int
     */
    public function getKuryeCagirFaceResult()
    {
        return $this->KuryeCagirFaceResult;
    }
    /**
     * Set KuryeCagirFaceResult value
     * @param int $kuryeCagirFaceResult
     * @return \StructType\KuryeCagirFaceResponse
     */
    public function setKuryeCagirFaceResult($kuryeCagirFaceResult = null)
    {
        // validation for constraint: int
        if (!is_null($kuryeCagirFaceResult) && !(is_int($kuryeCagirFaceResult) || ctype_digit($kuryeCagirFaceResult))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($kuryeCagirFaceResult, true), gettype($kuryeCagirFaceResult)), __LINE__);
        }
        $this->KuryeCagirFaceResult = $kuryeCagirFaceResult;
        return $this;
    }
    /**
     * Get pError value
     * @return string|null
     */
    public function getPError()
    {
        return $this->pError;
    }
    /**
     * Set pError value
     * @param string $pError
     * @return \StructType\KuryeCagirFaceResponse
     */
    public function setPError($pError = null)
    {
        // validation for constraint: string
        if (!is_null($pError) && !is_string($pError)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pError, true), gettype($pError)), __LINE__);
        }
        $this->pError = $pError;
        return $this;
    }
    /**
     * Get pSonuc value
     * @return string|null
     */
    public function getPSonuc()
    {
        return $this->pSonuc;
    }
    /**
     * Set pSonuc value
     * @param string $pSonuc
     * @return \StructType\KuryeCagirFaceResponse
     */
    public function setPSonuc($pSonuc = null)
    {
        // validation for constraint: string
        if (!is_null($pSonuc) && !is_string($pSonuc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($pSonuc, true), gettype($pSonuc)), __LINE__);
        }
        $this->pSonuc = $pSonuc;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\KuryeCagirFaceResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
